unit Bitmap;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdActns, ActnList, Menus, ToolWin, ComCtrls, StdCtrls, Buttons, ExtCtrls,
  ExtDlgs;

type
  TForm1 = class(TForm)
    ActionList1: TActionList;
    Arrange1: TWindowArrange;
    Cascade1: TWindowCascade;
    Close1: TWindowClose;
    MinimizeAll1: TWindowMinimizeAll;
    TileHorizontally1: TWindowTileHorizontal;
    TileVertically1: TWindowTileVertical;
    OpenPictureDialog1: TOpenPictureDialog;
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Otevt1: TMenuItem;
    Zeschrnky1: TMenuItem;
    N1: TMenuItem;
    konec1: TMenuItem;
    Okno1: TMenuItem;
    Dladicevodorovn1: TMenuItem;
    Dladicesvisle1: TMenuItem;
    Kaskda1: TMenuItem;
    Minimalizovatve1: TMenuItem;
    Vyrovnatokna1: TMenuItem;
    Zavt1: TMenuItem;
    
    procedure Otevt1Click(Sender: TObject);
    procedure konec1Click(Sender: TObject);
    procedure Zeschrnky1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses ChildWindow, clipbrd;


procedure TForm1.Otevt1Click(Sender: TObject);
var Child: TForm2;
begin
  if OpenPictureDialog1.Execute then begin
    Child:=TForm2.Create(Application);
    with Child do begin
      Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
      Caption:= OpenPictureDialog1.FileName+' ('+IntToStr(Image1.Picture.Width)+','+IntToStr(Image1.Picture.Height)+')';
      Height:=Form1.ClientHeight;
      Width:=Form1.ClientWidth;
      if ClientHeight > Image1.Picture.Height then ClientHeight :=Image1.Picture.Height;
      if ClientWidth > Image1.Picture.Width then ClientWidth :=Image1.Picture.Width;
      end;
    end;
end;

procedure TForm1.konec1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Zeschrnky1Click(Sender: TObject);
var Child: TForm2;
begin
  if Clipboard.HasFormat(CF_PICTURE) then begin
    Child:=TForm2.Create(Application);
    with Child do begin
      Caption:= 'Schrnka';
      Image1.Picture.Assign(Clipboard);
      Caption:= 'Schrnka ('+IntToStr(Image1.Picture.Width)+','+IntToStr(Image1.Picture.Height)+')';
      Height:=Form1.ClientHeight;
      Width:=Form1.ClientWidth;
      if ClientHeight > Image1.Picture.Height then ClientHeight :=Image1.Picture.Height;
      if ClientWidth > Image1.Picture.Width then ClientWidth :=Image1.Picture.Width;
      end;
    end;
end;

end.
